Bug 1087108 - Using DataModeler provided by BRMS 6.0.1, user can't use Japanese letters for identifier
Summary: Using DataModeler provided by BRMS 6.0.1, user can't use Japanese letters for...
Keywords:
Status: CLOSED EOL
Alias: None
Product: JBoss BRMS Platform 6
Classification: Retired
Component: Business Central
Version: 6.0.1
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
: ---
Assignee: Kris Verlaenen
QA Contact: Jiri Locker
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-04-14 01:51 UTC by Hisao Furuichi
Modified: 2020-03-27 20:13 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-03-27 20:13:35 UTC
Type: Feature Request


Attachments (Terms of Use)

Description Hisao Furuichi 2014-04-14 01:51:34 UTC
Description of problem:
Using DataModeler provided by BRMS 6.0.1, user can't use Japanese letters for identifier.

Steps to Reproduce:
- logon business-central 
- select Project Authoring
- select Tools -> DataModeler
- click create Identifier and input following data
 Identifier: 日本語Identifier
 Label: label
- click save button 

Actual results:
Following error message is appeared
==
Invalid data object identifier: "日本語Identifier" is not a valid Java identifier
===

Expected results:
User can save Japanese characters.

Comment 1 Walter Medvedeo 2014-05-13 12:18:47 UTC
Kris,
please take a look if support to Japanese and other not ascii characters is something we should support.

At least the following points should be taken into account:

1) The recently added Roaster library seems to not process Japanese characters well. (at least out of the box, but I guess it reasonable to expect to it do. We need to investigate)

2) Assuming that we can create data objects with Japanese letters, we must be sure that all the platform assets an support them. Just put some examples:

file names at the VFS, process variables definitions, form fields, rules, decision tables, etc.


Note You need to log in before you can comment on or make changes to this bug.